/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	XMO 権限情報保持クラス
//			変更履歴
//				2004/01/08	新規作成	柴田宗近
//
package jp.co.ntt.lms.xms.login.base;

import jp.co.ntt.lms.xmo.Base.XMSBaseClient;
import jp.co.ntt.lms.xms.framework.XmsException;
import jp.co.ntt.lms.xms.framework.XmsSystemException;

/**
 * 権限情報保持クラス。<BR>
 * 
 * 権限（XMO）情報を取得、保持します。<BR>
 * 
 */
public class XMO {

	/**
	 * XMOID<BR>
	 */
	private String XMOID = null;

	/**
	 * XMO名称<BR>
	 */
	private String XMOName = null;

	/**
	 * クラス名称<BR>
	 */
	private String className = null;

	/**
	 * ツリー表示タイプ<BR>
	 */
	private String treeViewType = null;

	/**
	 * 初期メニュー名称<BR>
	 */
	private String iniMenu = null;

	/**
	 * 優先度<BR>
	 */
	private String priority = null;

	/**
	 * コンストラクタです。<BR>
	 * @param XMOID XMOID
	 */
	public XMO( String XMOID ) {
	
		// XMOID
		this.XMOID = XMOID;
	}

	/**
	 * XMOIDを取得します。<BR>
	 * @return String XMOID
	 */
	public String getXMOID() {
		return this.XMOID;
	}

	/**
	 * XMO名称を取得します。<BR>
	 * @return String XMOName
	 */
	public String getXMOName() {
		return this.XMOName;
	}

	/**
	 * クラス名称を取得します。<BR>
	 * @return String クラス名称
	 */
	public String getClassName() {
		return this.className;
	}

	/**
	 * ツリー表示タイプを取得します。<BR>
	 * @return String ツリー表示タイプ
	 */
	public String getTreeViewType() {
		return this.treeViewType;
	}

	/**
	 * 初期メニュー名称を取得します。<BR>
	 * @return String 初期メニュー名称
	 */
	public String getIniMenu() {
		return this.iniMenu;
	}

	/**
	 * 優先度を取得します。<BR>
	 * @return String 優先度
	 */
	public String getPriority() {
		return this.priority;
	}

	/**
	 * 画面表示制御情報保持クラスを初期化します。<BR>
	 * <PRE>
	 * 1. コンストラクタによって設定されたXMOIDで
	 *    XMOEntryテーブルを検索します
	 * 2. 各プロパティに取得したデータを設定します
	 * </PRE>
	 * @exception XmsException  システムエラー
	 */
	public void load() 
		throws XmsException {

		// XMS_Bクライアントのインスタンス化
		XMSBaseClient XMSBaseObject = null;
		try {
			XMSBaseObject = new XMSBaseClient();

			// XMOIDを検索条件とする
			XMSBaseObject.setWhereXmoID( this.XMOID );
			
			// 検索を実行します
			// 取得したFunction（XmoID）をキーにXMOEntryテーブルを検索する
			if( XMSBaseObject.select() == false ) {
				// ＸＭＯアクセス時で処理が失敗した場合
				// システムエラーとする
				throw new XmsSystemException( XMSBaseObject.getMessage() );
			}
		}
		catch(XmsException ex) {
			throw ex;
		}
		catch(Exception ex) {
			throw new XmsSystemException(ex);	
		}

		// 検索結果の取得
		if( XMSBaseObject.next() == true ) {
			// XMO名称
			this.XMOName = XMSBaseObject.getXmoName();
			// クラス名称
			this.className = XMSBaseObject.getClassName();
			// ツリー表示タイプ
			this.treeViewType = XMSBaseObject.getTreeViewType();
			// 初期メニュー名称
			this.iniMenu = XMSBaseObject.getIniMenu();
			// 優先度
			this.priority = XMSBaseObject.getPriority();
		}
	}
}